#!/bin/bash

CUDA_VISIBLE_DEVICES=6 python -m ailab.inference \
    --finetune_type lora \
    --pretrained_model_name qwen_v2_0b5_chat \
    --pretrained_model_path /home/qwen_v2_0b5_chat/ \
    --tokenizer_path /home/qwen_v2_0b5_chat/ \
    --fintuned_weights /opt/ailab_sdk/src/test/ailabmodel/my_qwen_v2_0b5 \
    --test_dataset_path /opt/ailab_sdk/src/ailab/inference/test/val.txt \
    --base_result_path /opt/ailab_sdk/src/ailab/inference/test/base.jsonl \
    --finetuned_result_path /opt/ailab_sdk/src/ailab/inference/test/finetune.jsonl 

# python -m ailab.inference \
#     --finetune_type full \
#     --pretrained_model_name vit_patch16_224_in21k \
#     --pretrained_model_path /home/sdk_models/vit_base_patch16_224_in21k \
#     --tokenizer_path /home/sdk_models/vit_base_patch16_224_in21k \
#     --fintuned_weights /data1/cgzhang6/ailab_sdk/src/test/ailabmodel/my_vit_patch16 \
#     --test_dataset_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/images/classification \
#     --base_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/base.jsonl \
#     --finetuned_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/finetune.jsonl

# python -m ailab.inference \
#     --finetune_type full \
#     --pretrained_model_name yolos_small \
#     --pretrained_model_path /home/sdk_models/yolos_small \
#     --tokenizer_path /home/sdk_models/yolos_small \
#     --fintuned_weights /data1/cgzhang6/ailab_sdk/src/test/ailabmodel/my_yolos_small_80epoch_balloon \
#     --test_dataset_path /data1/cgzhang6/images/balloon/test \
#     --base_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/base.jsonl \
#     --finetuned_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/finetune.jsonl

# python -m ailab.inference \
#     --finetune_type lora \
#     --pretrained_model_name stable_diffusion_2_1 \
#     --pretrained_model_path /home/sdk_models/stable_diffusion_2_1 \
#     --tokenizer_path /home/sdk_models/stable_diffusion_2_1 \
#     --fintuned_weights /data1/cgzhang6/ailab_sdk/src/test/ailabmodel/my_sd_21_100e \
#     --test_dataset_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/val_text_to_image.txt \
#     --base_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/old \
#     --finetuned_result_path /data1/cgzhang6/ailab_sdk/src/ailab/inference/test/new